import { ViscaCommand } from 'visca-over-ip';
import { ActionAPI, ActionAPI_StatusTypes } from '../../../ActionAPI';
import { simpleCommandEditor, simpleCommandHandle } from '../simpleCommandHandler';

module.exports = (actionAPI: ActionAPI) => {
	actionAPI.handle((properties, status: (text: string, type: ActionAPI_StatusTypes) => void) => {
		var command = ViscaCommand.cameraPanTilt(0, 0, 0x03, 0x03);

		simpleCommandHandle(actionAPI, command, properties, status);
	});

	actionAPI.onOpenEditor(simpleCommandEditor);
};
